If you happen to use Xenomai on fairly old x86 hardware with the IO-APIC
support enabled, you may want to upgrade your I-pipe version to one of
those listed below.

Symptom: random lockup, more likely under high interrupt load
Cause: mishandling of some hardware erratum affecting some IO-APIC      
versions (notably v17).

http://download.gna.org/adeos/patches/v2.6/i386/adeos-ipipe-2.6.23-i386-1.10-11.patch
http://download.gna.org/adeos/patches/v2.6/i386/older/adeos-ipipe-2.6.22-i386-1.10-11.patch
http://download.gna.org/adeos/patches/v2.6/i386/older/adeos-ipipe-2.6.20-i386-1.10-10.patch

-- 
Philippe.

_______________________________________________
Xenomai-core mailing list
Xenomai-core@gna.org
https://mail.gna.org/listinfo/xenomai-core

Reply via email to